{ pkgs, ... }:
{
  imports = [
      ./haskell.nix
      ./coq.nix
      ./telescope.nix
      ./coc.nix
      ./lightline.nix
      ./nerdtree.nix
      ./treesitter.nix
  ];
  programs.neovim = {
      enable = true;
      extraConfig = import ./nvimrc.nix;
      plugins = with pkgs.vimPlugins; [ 
          # languages
          nvim-dap
          nvim-lspconfig
          vim-nix
          vimtex
          
          # look and feel
          awesome-vim-colorschemes
          fugitive
      ];
      withPython3 = true;
      withNodeJs = true;
      defaultEditor = true;
      viAlias = true;
      vimAlias = true;
  };
}
