{ pkgs, ...}:
{
  programs.neovim = {
    plugins = with pkgs.vimPlugins; [
      {
        plugin = lightline-vim;
        config = ''
          function! CocCurrentFunction()
              return get(b:, 'coc_current_function', ''\'')
          endfunction

          let g:lightline = {
                \ 'colorscheme': 'solarized',
                \ 'active': {
                \   'left': [ [ 'mode', 'paste' ],
                \             [ 'cocstatus', 'currentfunction', 'readonly', 'filename', 'modified' ],
                \             [ 'gitbranch' ] ]
                \ },
                \ 'component_function': {
                \   'cocstatus': 'coc#status',
                \   'currentfunction': 'CocCurrentFunction',
                \   'gitbranch': 'FugitiveHead'
                \ },
                \ }

        '';
      }
    ];
  };
}
