{ pkgs, ...}:
{
  services.forgejo = {
    enable = true;
    settings.DEFAULT.APP_NAME = "Lambda-Git";
    package = pkgs.forgejo;
    stateDir = "/forgejo";
    database = {
      type = "sqlite3";
    };
    dump = {
      enable = true;
      interval = "02:00";
    };
    settings.server = {
      ROOT_URL = "https://git.vatthauer.xyz";
      HTTP_PORT = 3001;
      DOMAIN = "git.vatthauer.xyz";
    };
    settings.session.COOKIE_SECURE = true;
    settings.service.DISABLE_REGISTRATION = true;
  };
}
