{ lib, pkgs, inputs, ... }:
{
  services.nginx = {
    enable = true;
    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
  };

  services.nginx.virtualHosts."git.vatthauer.xyz" = {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://localhost:3001/";
    };
  };

  services.nginx.virtualHosts."vaultwarden.vatthauer.xyz" = {
    enableACME = true;
    forceSSL = true;
    locations."/" = {
      proxyPass = "http://localhost:8222/";
    };
  };

  services.nginx.virtualHosts."www.vatthauer.xyz" = {
    serverAliases = [ "vatthauer.xyz" ];
    forceSSL = true;
    enableACME = true;
    root = pkgs.callPackage ./resumee-website.nix {};
  };
  services.nginx.virtualHosts."files.vatthauer.xyz" = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      root = "/var/www";
      extraConfig = "autoindex on;";
    };
  };
  services.nginx.virtualHosts."cloud.vatthauer.xyz" = {
    forceSSL = true;
    enableACME = true;
  };
}
